Page MenuHomePhabricator

CX2: Don't publish as red links the unadapted links that were not marked as missing
Closed, ResolvedPublic

Description

When links are not present in the target wikipedia they are shown in grey in Content Translation (T193233). These unadapted links can be marked as red links when the user considers that they represent an article that make sense to be created in the target wiki.

However, is is also possible to leave the grey links without marking them as red in the translation. In that case, the expected behaviour is for these links to be published as regular text. Currently in version 2 (unlike version 1) the grey links are published as red links automatically.

This issue was reported by a translator in this comment.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterRemove unadapted links from the published content

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2018, 9:25 AM
Pginer-WMF triaged this task as Medium priority.Jun 18 2018, 11:31 AM
Vvjjkkii renamed this task from CX2: Don't publish as red links the unadapted links that were not marked as missing to 0qaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0qaaaaaaaa to CX2: Don't publish as red links the unadapted links that were not marked as missing.Jul 2 2018, 11:56 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 465398 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Remove unadapted links from the published content

https://gerrit.wikimedia.org/r/465398

Change 465398 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove unadapted links from the published content

https://gerrit.wikimedia.org/r/465398

Etonkovidova closed this task as Resolved.Oct 11 2018, 12:29 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked the fix - the grey links will be published as text, for example - grey links from translation panel:


will be published as text: